View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000642Ecere SDKide:autocompletepublic2011-09-23 20:432014-05-19 01:32
Reporternaji 
Assigned Tojerome 
PriorityimmediateSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.44.09 
Target Version0.44.10 64Fixed in Version0.44.10 64 
Summary0000642: IDE Crashes when pressing . (dot) in a list
DescriptionPressing . (dot) on this file Ln 87, Col 22 crashes the Ecere IDE.
TagsNo tags attached.
Attached Files? file icon najbatch.ec [^] (2,164 bytes) 2011-09-23 20:43

- Relationships

-  Notes
(0000465)
jerome (administrator)
2011-09-23 20:49

Parsing type: "Container<char[MAX_LOCATION]>"

  0 yy_get_next_buffer Function, src\lexer.ec:2582
  1 yylex Function, src\lexer.ec:2417
  2 type_yyparse Function, src\type.ec:3470
  3 SpecDeclFromString Function, src\shortcuts.ec:187
  4 ProcessTypeString Function, src\ast.ec:2526

fileInput is null ?
(0000466)
naji (reporter)
2011-09-24 20:07

If you change the part that says:

List<char *> outdirlist { };


List<char *> filedirlist { };

To:



List<char [MAX_LOCATION]> outdirlist { };


List<char [MAX_LOCATION]> filedirlist { };

And try to run the program in the IDE, it crashes the IDE just when it starts building.
(0001221)
jerome (administrator)
2014-04-30 09:22

This still crashes as of 0.44.09.9
(0001258)
jerome (administrator)
2014-05-03 07:46

Fixed by:
https://github.com/ecere/ecere-sdk/commit/97135fda21d6324873ea60234cdab22e3a3016f8 [^]

- Issue History
Date Modified Username Field Change
2011-09-23 20:43 naji New Issue
2011-09-23 20:43 naji File Added: najbatch.ec
2011-09-23 20:45 jerome Status new => confirmed
2011-09-23 20:49 jerome Note Added: 0000465
2011-09-23 20:50 jerome Priority normal => immediate
2011-09-23 20:50 jerome Target Version => 0.44 pre-release 2
2011-09-24 20:07 naji Note Added: 0000466
2012-03-08 15:41 redj Target Version old 0.44.pre2 => 0.45 Ginkakuji
2012-03-29 07:52 redj Category => ide
2012-03-29 07:52 redj Project @3@ => Ecere SDK
2013-04-26 18:28 jerome Target Version 0.45 Ginkakuji => 0.44.8 Silver
2014-02-22 18:27 jerome Category ide => ide:autocomplete
2014-04-30 09:22 jerome Note Added: 0001221
2014-04-30 09:22 jerome Target Version 0.44.80 Silver => 0.44.10 64
2014-04-30 09:23 jerome Assigned To => jerome
2014-04-30 09:23 jerome Status confirmed => assigned
2014-04-30 09:23 jerome Product Version => 0.44.09
2014-05-03 07:46 jerome Status assigned => resolved
2014-05-03 07:46 jerome Fixed in Version => 0.44.10 64
2014-05-03 07:46 jerome Resolution open => fixed
2014-05-03 07:46 jerome Note Added: 0001258
2014-05-19 01:32 jerome Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker